WordPress.org

Make WordPress Core

Opened 2 years ago

Last modified 10 months ago

#46979 closed defect (bug)

Bundled themes should pass version to wp_enqueue_style() to ensure proper cache busting — at Version 2

Reported by: dswebsme Owned by:
Milestone: 5.3 Priority: normal
Severity: minor Version:
Component: Bundled Theme Keywords: has-patch needs-testing
Focuses: Cc:

Description (last modified by dswebsme)

Bundled themes should pass the current theme version ($ver parameter) to wp_enqueue_style() to ensure theme stylesheets properly bypass cache after being updated.

Dev discussion on the subject took place here: #39997

This affects themes twentyten - twentyseventeen. Bundled theme twentynineteen already passes a dynamic $ver parameter.

Change History (2)

#1 follow-up: @afercia
2 years ago

  • Description modified (diff)

#2 in reply to: ↑ 1 @dswebsme
2 years ago

  • Description modified (diff)

Replying to afercia:

Note: See TracTickets for help on using tickets.